# xarray.Dataset.rename

`Dataset.``rename`(name_dict: Mapping[Hashable, Hashable] = None, inplace: bool = None, **names) → xarray.core.dataset.Dataset

  Returns a new object with renamed variables and dimensions.

  Parameters:

  - name_dict (dict-like, optional) – Dictionary whose keys are current variable or dimension names and whose values are the desired names.
  - optional (**names,) – Keyword form of `name_dict`. One of name_dict or names must be provided.

  Returns: | renamed – Dataset with renamed variables and dimensions.
  Return type: | Dataset

  See also

  `Dataset.swap_dims()`, `Dataset.rename_vars()`, `Dataset.rename_dims()`, `DataArray.rename()`